Shouldn't stop listing events until they are over

Bug #1329048 reported by Sebastien Bacher on 2014-06-11
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
indicator-datetime (Ubuntu)
Medium
Unassigned

Bug Description

Using current utopic, events are dropped from the list when they start, wouldn't it make sense to list as well the ongoing ones (if you are looking to the menu 3 minutes after a meeting started you might still be interested in joining it for example)

------ UX Comment ------

I agree with Matthew's suggestion:

"If an event hasn't started yet, its start time should be shown, for example "7:00 PM"; if it has started but not finished, its end time should be shown, for example "ends 9:20 PM"."

https://wiki.ubuntu.com/TimeAndDate?action=diff&rev2=100&rev1=99

affects: indicator-datetime → indicator-datetime (Ubuntu)
Changed in indicator-datetime (Ubuntu):
assignee: nobody → Matthew Paul Thomas (mpt)
Charles Kerr (charlesk) wrote :

Dropping off on the end time might not always be the Right Thing to do. For example if you had multiple full-day events (holiday, + someone's birthday, etc.) they could DOS the five slots pretty quickly.

One approach would be to keep the count separate from the full day events..

Charles Kerr (charlesk) wrote :

...actually, I can't think of a use case where you wouldn't want to know the events that are currently in progress. Maybe in-progress events shouldn't be constrained by the 5 limit?

Changed in indicator-datetime (Ubuntu):
importance: Undecided → Medium
Tin Tvrtkovic (tinchester) wrote :

Could this be related to https://bugs.launchpad.net/ubuntu/+source/indicator-datetime/+bug/1302004?

For example I use a lot of all-day events, and it's unintuitive my events aren't shown in the 5 event list in the indicator *on the day they are active*. Instead the indicator skips the day's events and shows the next 5.

If the indicator doesn't show events that have started, and all-day events are considered to have started at 00:00, that'd explain it. I'd still argue it's not useful behavior.

Charles Kerr (charlesk) on 2014-11-19
Changed in indicator-datetime (Ubuntu):
assignee: Matthew Paul Thomas (mpt) → Paty Davila (dizzypaty)
Paty Davila (dizzypaty) on 2015-05-15
Changed in indicator-datetime (Ubuntu):
status: New → Confirmed
Matthew Paul Thomas (mpt) wrote :

Tin, yes, this is covered by the same design change I suggested for bug 1302004. <https://wiki.ubuntu.com/TimeAndDate?action=diff&rev2=100&rev1=99> If an event hasn't started yet, its start time should be shown, for example "7:00 PM"; if it has started but not finished, its end time should be shown, for example "ends 9:20 PM".

Paty Davila (dizzypaty) on 2015-08-06
description: updated
Changed in indicator-datetime (Ubuntu):
status: Confirmed → Fix Committed
description: updated
Matthew Paul Thomas (mpt) wrote :

(Please don't mark a bug as fixed unless it actually is.)

Changed in indicator-datetime (Ubuntu):
assignee: Paty Davila (dizzypaty) → nobody
status: Fix Committed → Triaged
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers